Bug 1002378 - RFE: Introduce a modular translation structure, and gwt generate the *Messages.properties files
Summary: RFE: Introduce a modular translation structure, and gwt generate the *Message...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.4
Assignee: Patrick Huang
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-29 04:24 UTC by Damian Jansen
Modified: 2014-07-17 06:39 UTC (History)
3 users (show)

Fixed In Version: git-aa31fd676205c4ad428e213cef2dd26030d63f56
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-17 06:39:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1063562 None None None Never
Red Hat Bugzilla 1066203 None None None Never

Internal Links: 1063562 1066203

Description Damian Jansen 2013-08-29 04:24:44 UTC
Description of problem:
The site translations are a mix of java old-school messages.properties and generated *Messages.properties.
As it stands, the editor strings are not available to the translators.

Version-Release number of selected component (if applicable):
3.0

Requirements:
The zanata-war/-model should be a multi-module project
Gwt generate the *Messages.properties files
Upload these to translate.zanata.org for translation

This will make activities such as:
- translation auto-update
- pseudo-translation testing
- supported locale query

and others more accessible.

Comment 1 Patrick Huang 2014-01-14 01:56:51 UTC
https://github.com/zanata/zanata-server/pull/334

Comment 2 Damian Jansen 2014-02-19 02:00:15 UTC
Sean - I think I reported this one for you. Does this address the above?

Comment 3 Sean Flanigan 2014-02-19 03:21:39 UTC
I haven't tested this feature, but I'd say: more or less.  

Zanata wasn't set up to be a multi-module project after all, but that's because we needed project-type 'properties' for the jsf localisation, and 'utf8properties' for the GWT editor.

Also, there's the problem Dean spotted with the zh_TW_Hant/zh_Hant_TW locale (bug 1063562), which does need fixing before we can actually include future zh-Hant translations in a future release of Zanata.  It needn't block the 3.3 release though.

I think bug 1066203 will be a better solution for our GWT translations, but it requires a minor refactor to the GWT code, so I'd say it is outside this bug's scope.

Comment 4 Damian Jansen 2014-03-04 05:56:55 UTC
Verified at aa31fd676205c4ad428e213cef2dd26030d63f56

Comment 5 Sean Flanigan 2014-03-21 00:07:06 UTC
Marking bug as RELEASE_PENDING (Fixed in Version commit is ancestor of origin/master).


Note You need to log in before you can comment on or make changes to this bug.